View Issue Details

IDProjectCategoryView StatusLast Update
0004214TechDrawBugpublic2019-12-10 12:07
Reporterlathrom Assigned Towandererfan  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
OSWindows 10 
Product Version0.19 
Fixed in Version0.19 
Summary0004214: Detail view of section in tech draw the "Y" is inverted
DescriptionIn Tech Draw, when a detail view is made from a section view, the Y anchor point is inverted.
The detail view is opposite in "Y" than where the circle reference shows.
Attaching a simple drawing showing the problem.
Steps To ReproduceCreate part
New tech draw sheet
Insert View in page
Create section view
Create detail view from the section view
Change the anchor point in Y
TagsNo tags attached.
FreeCAD InformationOS: Windows 10 (10.0)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.18637 (Git)
Build type: Debug
Branch: master
Hash: e243c6e943dc78e7e8093c5c38a879e46b37d0c1
Python version: 3.6.8
Qt version: 5.12.1
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/United States (en_US)

Activities

lathrom

2019-12-05 17:02

reporter  

section problem.pdf (221,508 bytes)

wandererfan

2019-12-06 01:14

manager   ~0013875

Forum post 1
Forum post 2

This probably fixed in current version.
OS: Linux Mint 19 (X-Cinnamon/cinnamon)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.18826 +2 (Git) <<<<< 200 commits newer
Build type: debug
Branch: Cosmetics3
Hash: 762768cca2c28f8ef9bd8a00046bcf41160edfea
Python version: 3.6.9
Qt version: 5.9.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/Canada (en_CA)

openBrain

2019-12-06 11:09

developer   ~0013878

@lathrom : please notice that according our guidelines (big yellow banner), you should always :
  • Test with the latest dev. version
  • Search tracker & forum for existing reporting
  • Open a new topic in the forum first
@wandererfan : let you take care of this ticket

Kunda1

2019-12-09 14:08

administrator   ~0013885

@lathrom thank you for posting BUT please don't create extra work for the triagers by following what openBrain wrote (and the large banner at the top of the page explaining our guidelines.

Please confirm the fixes and report back so we can close these tickets.

lathrom

2019-12-09 16:28

reporter   ~0013888

It is fixed on newer revision now.

wandererfan

2019-12-10 12:07

manager   ~0013891

closed

Issue History

Date Modified Username Field Change
2019-12-05 17:02 lathrom New Issue
2019-12-05 17:02 lathrom File Added: section problem.pdf
2019-12-06 01:14 wandererfan Assigned To => wandererfan
2019-12-06 01:14 wandererfan Status new => feedback
2019-12-06 01:14 wandererfan Note Added: 0013875
2019-12-06 11:09 openBrain Note Added: 0013878
2019-12-09 14:08 Kunda1 Note Added: 0013885
2019-12-09 16:28 lathrom Note Added: 0013888
2019-12-09 16:28 lathrom Status feedback => assigned
2019-12-09 16:33 wandererfan Status assigned => resolved
2019-12-09 16:33 wandererfan Resolution open => fixed
2019-12-09 16:33 wandererfan Fixed in Version => 0.19
2019-12-09 16:33 wandererfan Description Updated View Revisions
2019-12-09 16:33 wandererfan Steps to Reproduce Updated View Revisions
2019-12-09 16:33 wandererfan FreeCAD Information OS: Windows 10 (10.0) Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.19.18637 (Git) Build type: Debug Branch: master Hash: e243c6e943dc78e7e8093c5c38a879e46b37d0c1 Python version: 3.6.8 Qt version: 5.12.1 Coin version: 4.0.0a OCC versi... => OS: Windows 10 (10.0) Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.19.18637 (Git) Build type: Debug Branch: master Hash: e243c6e943dc78e7e8093c5c38a879e46b37d0c1 Python version: 3.6.8 Qt version: 5.12.1 Coin version: 4.0.0a ...
2019-12-10 12:07 wandererfan Status resolved => closed
2019-12-10 12:07 wandererfan Note Added: 0013891